<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package Buconz Starter
 */

get_header();
?>
	
	<section class="error">
		<div class="container">
			<div class="row">
				<div class="col-lg-8 offset-lg-2 col-md-8 offset-md-2 col-12">
					<div class="error-page-body">
						<img src="<?php echo esc_url(get_template_directory_uri() .'/assets/img/error-img.png'); ?>" alt="<?php esc_attr_e('404 Image', 'buconz-starter');?>">
						<div class="error-inner">
							<h2><?php esc_html_e( 'Oops! This Page Not Found', 'buconz-starter' ); ?></h2>
							<p><?php esc_html_e( 'The page you are looking for might have been removed had its name changed or is temporary unavailable.', 'buconz-starter' ); ?></p>
							<div class="button">
								<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="buconz-btn"><?php esc_html_e( 'Back to home', 'buconz-starter' );?> <i class="fa fa-long-arrow-right"></i></a>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
	
<?php
get_footer();
