<?php 
$wp_customize->add_section( 'buconz_starter_cta_section', array(
	'capability'            => 'edit_theme_options',
	'priority'              => 2,
	'title'                 => __( 'Call to action', 'buconz-starter' ),
	'description'           => __( 'Add call to action button to your website', 'buconz-starter' ),
	'panel'                 => 'buconz_starter_front_option'
) );

$wp_customize->add_setting( 'buconz_starter_cta_enable',
  array(
    'default'           => '',
    'sanitize_callback'     => 'buconz_starter_sanitize_checkbox'
  )
);

$wp_customize->add_control( 'buconz_starter_cta_enable',
  array(
    'label'         => esc_html__( 'Show Call to action', 'buconz-starter' ),
    'section'       => 'buconz_starter_cta_section',
    'type'          => 'checkbox',
    'priority'      => 1,
  )
);

$wp_customize->add_setting( 'buconz_starter_cta_title', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'buconz_starter_cta_title', array(
    'label'                 =>  __( 'Type call to action title', 'buconz-starter' ),
    'section'               => 'buconz_starter_cta_section',
    'type'                  => 'text',
    'settings'              => 'buconz_starter_cta_title',
) );

//	CTA Content
$wp_customize->add_setting( 'buconz_starter_cta_content', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'wp_filter_nohtml_kses'
) );

$wp_customize->add_control( 'buconz_starter_cta_content', array(
    'label'                 =>  __( 'Type CTA content', 'buconz-starter' ),
    'section'               => 'buconz_starter_cta_section',
    'type'                  => 'text',
    'settings'              => 'buconz_starter_cta_content',
) );

//	CTA Button Title
$wp_customize->add_setting( 'buconz_starter_cta_phone_tilte', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'buconz_starter_cta_phone_tilte', array(
    'label'                 =>  __( 'Type CTA phone title ', 'buconz-starter' ),
    'section'               => 'buconz_starter_cta_section',
    'type'                  => 'text',
    'settings'              => 'buconz_starter_cta_phone_tilte',
) );


//	CTA Button Text
$wp_customize->add_setting( 'buconz_starter_cta_phone_text', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'buconz_starter_cta_phone_text', array(
    'label'                 =>  __( 'Type CTA text ', 'buconz-starter' ),
    'section'               => 'buconz_starter_cta_section',
    'type'                  => 'text',
    'settings'              => 'buconz_starter_cta_phone_text',
) );
